<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class Texmaster extends Model{
    use HasFactory;
    protected $table = 'tex_master';
    
    protected $fillable = [
        'gst',
        'compensation_cess',
        'status',
        'created_by',
        'created_at',
        'updated_by',
        'updated_at'
    ];

     public function export($slug){
        $collection = DB::table('tex_master')
                        ->select('gst', 'compensation_cess','status');

        if($slug != 'all')
            $collection->where(['status' => $slug]);
        
        $data = $collection->get();
        
        if($data->isNotEmpty()){
            return $data;
        }else{
            return null;
        }
    }

       
}
